geode-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From jensde...@apache.org
Subject [geode] branch develop updated: GEODE-5199: Update fast-classpath-scanner version (#1946)
Date Tue, 15 May 2018 15:13:23 GMT
This is an automated email from the ASF dual-hosted git repository.

jensdeppe pushed a commit to branch develop
in repository https://gitbox.apache.org/repos/asf/geode.git


The following commit(s) were added to refs/heads/develop by this push:
     new 85bf180  GEODE-5199: Update fast-classpath-scanner version (#1946)
85bf180 is described below

commit 85bf1802aa3c60f57f202e6208bbfb564865b8eb
Author: Bradford Boyle <bradfordboyle@users.noreply.github.com>
AuthorDate: Tue May 15 08:13:16 2018 -0700

    GEODE-5199: Update fast-classpath-scanner version (#1946)
    
    fast-classpath-scanner has a [known issue][0] scanning when the classpath
    contains Scala library. This has been fixed in version 2.19.0.
    
    Updating the version of fast-classpath-scanner allows deploying JARs
    that contain the Scala library (i.e., fat JARs).
    
    [0]: https://github.com/lukehutch/fast-classpath-scanner/issues/193
---
 gradle/dependency-versions.properties | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/gradle/dependency-versions.properties b/gradle/dependency-versions.properties
index 42077bb..661cbd5 100644
--- a/gradle/dependency-versions.properties
+++ b/gradle/dependency-versions.properties
@@ -35,7 +35,7 @@ commons-validator.version = 1.6
 HikariCP.version = 3.0.0
 derby.version = 10.13.1.1
 dom4j.version = 1.6.1
-fast-classpath-scanner.version=2.18.1
+fast-classpath-scanner.version=2.19.0
 fastutil.version = 8.1.1
 google-gson.version=2.8.2
 guava.version = 24.1-jre

-- 
To stop receiving notification emails like this one, please contact
jensdeppe@apache.org.

Mime
View raw message